#version 120

uniform sampler2D tex;
uniform vec2 res;
uniform vec2 dir;

vec4 blur13(sampler2D image, vec2 uv, vec2 resolution, vec2 direction) 
{
  vec4 color = vec4(0.0);  
  color += texture2D(image, uv);  
  return color;
}

void main() 
{
	vec2 uv = vec2(gl_FragCoord.xy / vec2(res.x, -res.y));
	vec4 color = blur13(tex, uv, res, dir);
	gl_FragColor = color;
}