#version 120

uniform float uTime;
uniform float scanlineAlpha = 0.025;
uniform float scanlineSpeed = 2;
uniform float scanlineSize = 80;
uniform sampler2D uDiffuseTexture;

varying vec4 tCol;

void main() 
{
	vec2 tex = gl_TexCoord[0].xy;
	//vec2 uv =  0.5 + (tex-0.5);
	vec4 col;	

	col = texture2D(uDiffuseTexture,tex);
	
	// 	col.r = texture2D(uDiffuseTexture,vec2(uv.x +0.008, uv.y)).x;
	//	col.g = texture2D(uDiffuseTexture,vec2(uv.x +0.00, uv.y)).y;
	//	col.b = texture2D(uDiffuseTexture,vec2(uv.x -0.000, uv.y)).z;
	//	col.a = texture2D(uDiffuseTexture,tex).a;

	//col.xyz *= 1.0 + scanlineAlpha * sin(scanlineSpeed * uTime - tex.y * scanlineSize);	

	vec4 finalColor = col*tCol;	
	if(finalColor.a < 0.1)
	{
		discard;
	}

   gl_FragColor = finalColor;
}

