#version 120	

	varying vec2 TexCoord;
	uniform sampler2D RenderTex;
	

	vec4 pass2()
	{
	
	
		
		vec3 luminances = vec3(0.2126, 0.7152, 0.0722);
		vec3 luminancesb = vec3(0.5, 0.5, 0.5);
	    vec4 texel = texture2D(RenderTex, gl_TexCoord[0].st);
		vec4 texelb = texture2D(RenderTex, gl_TexCoord[0].st);
	
	    float luminance = dot(luminances, texel.rgb);	
	    luminance = max(0.0, luminance - 0.9);

		float luminanceb = dot(luminancesb, texelb.rgb);	
	    luminanceb = max(0.0, luminanceb - 0.65);
	
	    texel.rgb *= sign(luminance); 
	    texel.a = 1.0;

		texelb.rgb *= sign(luminanceb); 
	    texelb.a = 1.0;
	
	    return texel + (texelb*0.3);
	    
	    
		/*
		float lum = luma( val.xyz );
		float clam = clamp( lum - LumThresh, 0.0, 1.0);
		
		float thresh = (1.0 / (1.0 - LumThresh));
		return val * clam * thresh;
		*/
	}

	
	
	
	void main()
	{
		// This will call pass1(), pass2(), pass3(), or pass4()
		gl_FragColor = pass2();
	}